Package com.google.protobuf

## Class DescriptorProtos.DescriptorProto.ExtensionRange

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.google.protobuf.DescriptorProtos.DescriptorProto.ExtensionRange

All Implemented Interfaces:
  `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `java.io.Serializable`

Enclosing class:
  DescriptorProtos.DescriptorProto

    public static final class DescriptorProtos.DescriptorProto.ExtensionRange
    extends GeneratedMessage
    implements DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder

Protobuf type `google.protobuf.DescriptorProto.ExtensionRange`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DescriptorProtos.DescriptorProto.ExtensionRange.Builder` Protobuf type `google.protobuf.DescriptorProto.ExtensionRange`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.BuilderParent, GeneratedMessage.ExtendableBuilder<MessageType extends GeneratedMessage.ExtendableMessage,​BuilderType extends GeneratedMessage.ExtendableBuilder>, GeneratedMessage.ExtendableMessage<MessageType extends GeneratedMessage.ExtendableMessage>, GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends GeneratedMessage.ExtendableMessage>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingType extends Message,​Type>`

### Field Summary

Fields
`static int` `END_FIELD_NUMBER`
`static Parser<DescriptorProtos.DescriptorProto.ExtensionRange>` `PARSER`
`static int` `START_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DescriptorProtos.DescriptorProto.ExtensionRange` `getDefaultInstance()`
`DescriptorProtos.DescriptorProto.ExtensionRange` `getDefaultInstanceForType()` Get an instance of the type with no fields set.
`static Descriptors.Descriptor` `getDescriptor()`
`int` `getEnd()` `optional int32 end = 2;`
`Parser<DescriptorProtos.DescriptorProto.ExtensionRange>` `getParserForType()` Gets the parser for a message of the same type as this message.
`int` `getSerializedSize()` Get the number of bytes required to encode this message.
`int` `getStart()` `optional int32 start = 1;`
`UnknownFieldSet` `getUnknownFields()` Get the `UnknownFieldSet` for this message.
`boolean` `hasEnd()` `optional int32 end = 2;`
`boolean` `hasStart()` `optional int32 start = 1;`
`protected GeneratedMessage.FieldAccessorTable` `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
`boolean` `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.DescriptorProto.ExtensionRange.Builder` `newBuilder()`
`static DescriptorProtos.DescriptorProto.ExtensionRange.Builder` `newBuilder​(DescriptorProtos.DescriptorProto.ExtensionRange prototype)`
`DescriptorProtos.DescriptorProto.ExtensionRange.Builder` `newBuilderForType()` Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.DescriptorProto.ExtensionRange.Builder` `newBuilderForType​(GeneratedMessage.BuilderParent parent)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseDelimitedFrom​(java.io.InputStream input)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseDelimitedFrom​(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(byte[] data)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(ByteString data)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(CodedInputStream input)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(java.io.InputStream input)`
`static DescriptorProtos.DescriptorProto.ExtensionRange` `parseFrom​(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
`DescriptorProtos.DescriptorProto.ExtensionRange.Builder` `toBuilder()` Constructs a builder initialized with the current message.
`protected java.lang.Object` `writeReplace()` Replaces this object in the output stream with a serialized form.
`void` `writeTo​(CodedOutputStream output)` Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage

`equals, findInitializationErrors, getInitializationErrorString, hashCode, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### PARSER

    public static Parser<DescriptorProtos.DescriptorProto.ExtensionRange> PARSER

#### START_FIELD_NUMBER

    public static final int START_FIELD_NUMBER

See Also:
  Constant Field Values

#### END_FIELD_NUMBER

    public static final int END_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### getDefaultInstance

    public static DescriptorProtos.DescriptorProto.ExtensionRange getDefaultInstance()

#### getDefaultInstanceForType

    public DescriptorProtos.DescriptorProto.ExtensionRange getDefaultInstanceForType()

Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

#### getUnknownFields

    public final UnknownFieldSet getUnknownFields()

Description copied from interface: `MessageOrBuilder`
Get the `UnknownFieldSet` for this message.

Specified by:
  `getUnknownFields` in interface `MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `GeneratedMessage`

#### getDescriptor

    public static final Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

#### getParserForType

    public Parser<DescriptorProtos.DescriptorProto.ExtensionRange> getParserForType()

Description copied from interface: `MessageLite`
Gets the parser for a message of the same type as this message.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

#### hasStart

    public boolean hasStart()

`optional int32 start = 1;`

Specified by:
  `hasStart` in interface `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`

#### getStart

    public int getStart()

`optional int32 start = 1;`

Specified by:
  `getStart` in interface `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`

#### hasEnd

    public boolean hasEnd()

`optional int32 end = 2;`

Specified by:
  `hasEnd` in interface `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`

#### getEnd

    public int getEnd()

`optional int32 end = 2;`

Specified by:
  `getEnd` in interface `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

#### writeTo

    public void writeTo​(CodedOutputStream output)
                 throws java.io.IOException

Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `AbstractMessage`
Throws:
  `java.io.IOException`

#### getSerializedSize

    public int getSerializedSize()

Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `AbstractMessage`

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Description copied from class: `GeneratedMessage`
Replaces this object in the output stream with a serialized form. Part of Java's serialization magic. Generated sub-classes must override this method by calling `return super.writeReplace();`

Overrides:
  `writeReplace` in class `GeneratedMessage`
Returns:
  a SerializedForm of this message
Throws:
  `java.io.ObjectStreamException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(ByteString data)
                                                                     throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(ByteString data,
                                                                            ExtensionRegistryLite extensionRegistry)
                                                                     throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(byte[] data)
                                                                     throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(byte[] data,
                                                                            ExtensionRegistryLite extensionRegistry)
                                                                     throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(java.io.InputStream input)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(java.io.InputStream input,
                                                                            ExtensionRegistryLite extensionRegistry)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseDelimitedFrom​(java.io.InputStream input)
                                                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseDelimitedFrom​(java.io.InputStream input,
                                                                                     ExtensionRegistryLite extensionRegistry)
                                                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(CodedInputStream input)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static DescriptorProtos.DescriptorProto.ExtensionRange parseFrom​(CodedInputStream input,
                                                                            ExtensionRegistryLite extensionRegistry)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### newBuilder

    public static DescriptorProtos.DescriptorProto.ExtensionRange.Builder newBuilder()

#### newBuilderForType

    public DescriptorProtos.DescriptorProto.ExtensionRange.Builder newBuilderForType()

Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

#### newBuilder

    public static DescriptorProtos.DescriptorProto.ExtensionRange.Builder newBuilder​(DescriptorProtos.DescriptorProto.ExtensionRange prototype)

#### toBuilder

    public DescriptorProtos.DescriptorProto.ExtensionRange.Builder toBuilder()

Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

#### newBuilderForType

    protected DescriptorProtos.DescriptorProto.ExtensionRange.Builder newBuilderForType​(GeneratedMessage.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `GeneratedMessage`